Arbor 3: FSM & BT Graph Editor 3.1.2

- Main Page
- Packages
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Properties | List of all members
FlexibleRect Class Reference

Class to handle a flexible Rect type reference method there is more than one. More...

## Public Member Functions
| FlexibleRect ()
| FlexibleRect default constructor More...
| FlexibleRect (Rect value)
| FlexibleRect constructor More...
| FlexibleRect (RectParameterReference parameter)
| FlexibleRect constructor More...
| FlexibleRect (InputSlotRect slot)
| FlexibleRect constructor More...

## Static Public Member Functions
static | operator Rect (FlexibleRect flexible)
| Cast FlexibleRect to Rect. More...
static | operator FlexibleRect (Rect value)
| Cast Rect to FlexibleRect. More...

## Properties
FlexibleType | type`[get]`
| It returns a type More...
Parameter | parameter`[get]`
| It return a Paramter. More...
Rect | value`[get]`
| It returns a value More...

## Detailed Description

Class to handle a flexible Rect type reference method there is more than one.

## Constructor & Destructor Documentation

FlexibleRect | ( |  | ) |

FlexibleRect default constructor

FlexibleRect | ( | Rect | value | ) |

FlexibleRect constructor

Parameters

  value | Value

FlexibleRect | ( | RectParameterReference | parameter | ) |

FlexibleRect constructor

Parameters

  parameter | Parameter

FlexibleRect | ( | InputSlotRect | slot | ) |

FlexibleRect constructor

Parameters

  slot | Slot

## Member Function Documentation

static operator FlexibleRect | ( | Rect | value | ) |
| explicit static

Cast Rect to FlexibleRect.

Parameters

  value | Rect

static operator Rect | ( | FlexibleRect | flexible | ) |
| explicit static

Cast FlexibleRect to Rect.

Parameters

  flexible | FlexibleRect

## Property Documentation

Parameter parameter
| get

It return a Paramter.

It is null if Type is other than Parameter.

FlexibleType type
| get

It returns a type

Rect value
| get

It returns a value